> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Order Statuses

GET https://api.bigcommerce.com/stores/{store_hash}/v2/order_statuses

Returns a Collection of All Order Statuses.

**Order Status Descriptions:**

|Status ID | Name  | Description |
|-|-|-|
| 0 | Incomplete  | An incomplete order happens when a shopper reached the payment page, but did not complete the transaction. |
| 1 | Pending |Customer started the checkout process, but did not complete it. |
| 2 | Shipped | Order has been shipped, but receipt has not been confirmed; seller has used the Ship Items action. |
| 3 | Partially Shipped | Only some items in the order have been shipped, due to some products being pre-order only or other reasons. |
| 4 | Refunded | Seller has used the Refund action. |
| 5 | Cancelled | Seller has cancelled an order, due to a stock inconsistency or other reasons. |
| 6 | Declined | Seller has marked the order as declined for lack of manual payment, or other reasons. |
| 7 | Awaiting Payment | Customer has completed checkout process, but payment has yet to be confirmed. |
| 8 | Awaiting Pickup | Order has been pulled, and is awaiting customer pickup from a seller-specified location. |
| 9 | Awaiting Shipment | Order has been pulled and packaged, and is awaiting collection from a shipping provider. |
| 10 | Completed | Client has paid for their digital product and their file(s) are available for download. |
| 11 | Awaiting Fulfillment | Customer has completed the checkout process and payment has been confirmed. |
| 12 | Manual Verification Required | Order is on hold while some aspect needs to be manually confirmed. |
| 13 | Disputed | Customer has initiated a dispute resolution process for the PayPal transaction that paid for the order. |
| 14 | Partially Refunded | Seller has partially refunded the order. |

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-status/get-order-statuses

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

Get All Order Status Collection Response.

- `list of orderStatus_Base`

## Types

### orderStatus_Base

- `id` (integer, optional) — The ID of the type of order status.
- `name` (string, optional) — Name of the type of order status.
- `system_label` (string, optional) — System name of the type of order status.
- `custom_label` (string, optional) — Custom order status label given in the control panel.
- `system_description` (string, optional) — System description of the order status.

## Examples

**Response**

```json
[
  {
    "id": 0,
    "name": "Incomplete",
    "system_label": "Incomplete",
    "custom_label": "Incomplete - Testing",
    "system_description": "An incomplete order happens when a shopper reached the payment page, but did not complete the transaction.",
    "order": 0
  },
  {
    "id": 1,
    "name": "Pending",
    "system_label": "Pending",
    "custom_label": "Pending",
    "system_description": "Customer started the checkout process, but did not complete it.",
    "order": 1
  },
  {
    "id": 2,
    "name": "Shipped",
    "system_label": "Shipped",
    "custom_label": "Shipped",
    "system_description": "Order has been shipped, but receipt has not been confirmed; seller has used the Ship Items action.",
    "order": 8
  },
  {
    "id": 3,
    "name": "Partially Shipped",
    "system_label": "Partially Shipped",
    "custom_label": "Partially Shipped",
    "system_description": "Only some items in the order have been shipped, due to some products being pre-order only or other reasons.",
    "order": 6
  },
  {
    "id": 4,
    "name": "Refunded",
    "system_label": "Refunded",
    "custom_label": "Refunded",
    "system_description": "Seller has used the Refund action.",
    "order": 11
  },
  {
    "id": 5,
    "name": "Cancelled",
    "system_label": "Cancelled",
    "custom_label": "Cancelled",
    "system_description": "Seller has cancelled an order, due to a stock inconsistency or other reasons.",
    "order": 9
  },
  {
    "id": 6,
    "name": "Declined",
    "system_label": "Declined",
    "custom_label": "Declined",
    "system_description": "Seller has marked the order as declined for lack of manual payment, or other reasons.",
    "order": 10
  },
  {
    "id": 7,
    "name": "Awaiting Payment",
    "system_label": "Awaiting Payment",
    "custom_label": "Awaiting Payment",
    "system_description": "Customer has completed checkout process, but payment has yet to be confirmed.",
    "order": 2
  },
  {
    "id": 8,
    "name": "Awaiting Pickup",
    "system_label": "Awaiting Pickup",
    "custom_label": "Awaiting Pickup",
    "system_description": "Order has been pulled, and is awaiting customer pickup from a seller-specified location.",
    "order": 5
  },
  {
    "id": 9,
    "name": "Awaiting Shipment",
    "system_label": "Awaiting Shipment",
    "custom_label": "Awaiting Shipment",
    "system_description": "Order has been pulled and packaged, and is awaiting collection from a shipping provider.",
    "order": 4
  },
  {
    "id": 10,
    "name": "Completed",
    "system_label": "Completed",
    "custom_label": "Completed - Testing",
    "system_description": "Client has paid for their digital product and their file(s) are available for download.",
    "order": 7
  },
  {
    "id": 11,
    "name": "Awaiting Fulfillment",
    "system_label": "Awaiting Fulfillment",
    "custom_label": "Awaiting Fulfillment",
    "system_description": "Customer has completed the checkout process and payment has been confirmed.",
    "order": 3
  },
  {
    "id": 12,
    "name": "Manual Verification Required",
    "system_label": "Manual Verification Required",
    "custom_label": "Manual Verification Required",
    "system_description": "Order is on hold while some aspect needs to be manually confirmed.",
    "order": 13
  },
  {
    "id": 13,
    "name": "Disputed",
    "system_label": "Disputed",
    "custom_label": "Disputed",
    "system_description": "Customer has initiated a dispute resolution process for the PayPal transaction that paid for the order.",
    "order": 12
  },
  {
    "id": 14,
    "name": "Partially Refunded",
    "system_label": "Partially Refunded",
    "custom_label": "Partially Refunded",
    "system_description": "Seller has partially refunded the order.",
    "order": 14
  }
]
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/order_statuses"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/order_statuses';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/order_statuses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/order_statuses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/order_statuses")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/order_statuses', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/order_statuses");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/order_statuses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```